VERSION 5.00
Begin VB.UserControl FrameEx 
   AutoRedraw      =   -1  'True
   ClientHeight    =   1995
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2280
   ControlContainer=   -1  'True
   ScaleHeight     =   133
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   152
End
Attribute VB_Name = "FrameEx"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' ----------------------------------------------------------------------------
'
'   Name:         FrameEx.CTL
'   Date:         7/7/02
'   Dependancies: basAPI.bas
'
'   Written by Will from WinsockVB.com (AKA ChiefRB/ChiefRedBull)
'   Use this, enjoy using it, spread it around so others can use it...
'   But please, leave this little bit of me intact.
'
'   Thanks,
'       Will
' ----------------------------------------------------------------------------

' properties
Private m_HiColor As OLE_COLOR
Private m_LoColor As OLE_COLOR

Public Property Get HiColor() As OLE_COLOR
    HiColor = m_HiColor
End Property

Public Property Get LoColor() As OLE_COLOR
    LoColor = m_LoColor
End Property

Public Property Let HiColor(ByVal New_Color As OLE_COLOR)
    m_HiColor = New_Color
    UserControl_Paint
End Property

Public Property Let LoColor(ByVal New_Color As OLE_COLOR)
    m_LoColor = New_Color
    UserControl_Paint
End Property

' painting moments
Private Sub UserControl_Initialize()
    UserControl_Paint
End Sub

Private Sub UserControl_Resize()
    UserControl_Paint
End Sub

Private Sub UserControl_Show()
    UserControl_Paint
End Sub

' paint sub
Private Sub UserControl_Paint()
Dim HiRect As RECT
Dim LoRect As RECT
Dim hPen As Long
Dim hOld As Long

    ' clear the old lot
    UserControl.Cls

    ' set the window rects
    With LoRect
        .Right = UserControl.ScaleWidth - 1
        .Bottom = UserControl.ScaleHeight - 1
    End With
    With HiRect
        .Top = 1
        .Left = 1
        .Right = UserControl.ScaleWidth
        .Bottom = UserControl.ScaleHeight
    End With

    ' create the pens, then draw the borders
    hPen = CreatePen(PS_SOLID, 1, m_LoColor)
    hOld = SelectObject(UserControl.hdc, hPen)
    Rectangle UserControl.hdc, LoRect.Left, _
                               LoRect.Top, _
                               LoRect.Right, _
                               LoRect.Bottom
    DeleteObject SelectObject(UserControl.hdc, hOld)
    DeleteObject hOld
    
    hPen = CreatePen(PS_SOLID, 1, m_HiColor)
    hOld = SelectObject(UserControl.hdc, hPen)
    Rectangle UserControl.hdc, HiRect.Left, _
                               HiRect.Top, _
                               HiRect.Right, _
                               HiRect.Bottom
    DeleteObject SelectObject(UserControl.hdc, hOld)
    DeleteObject hOld
End Sub


